
TYPO3.Fluid - Feature # 5933

Status: Accepted Priority: Should have
Author: Nathan L Category: ViewHelpers
Created: 2010-01-08 Assigned To: Sebastian Kurfuerst
Updated: 2012-05-21 Due date: 2010-06-25
Has patch: No
Subject: Optional section rendering
Description

It would be nice to be able to make a section optional.

If a template does not define the "food" section, then the default food will be shown if optional is set:
<f:render section="food" optional="true">
    <p>Default food: potato chips</p>
</f:render>

If a default value is not set, then it will render nothing:
<f:render section="food" optional="true" />

If optional="true" is not set, then an exception will be thrown. This is the normal behavior so nothing should change for anyone unless
they add the optional parameter.

History
#1 - 2010-03-15 16:45 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst
- Priority changed from Should have to Must have

#2 - 2010-06-18 10:06 - Sebastian Kurfuerst
- Due date set to 2010-06-25
- Start date changed from 2010-01-08 to 2010-06-18
- % Done changed from 0 to 20
- Estimated time set to 2.00

need to write a selenium test for it.

#3 - 2011-05-06 10:20 - Sebastian Kurfuerst
- Tracker changed from Bug to Feature
- Target version set to 1.0 beta 1

#4 - 2011-08-04 08:22 - Sebastian Kurfuerst
- Priority changed from Must have to Should have
- Target version changed from 1.0 beta 1 to 1.0 beta 2
- Has patch set to No

#5 - 2011-09-09 15:20 - Robert Lemke
- Target version changed from 1.0 beta 2 to 1.0.0
#6 - 2011-10-15 01:09 - Karsten Dambekalns
- Target version changed from 1.0.0 to 1.1 beta 1

#7 - 2011-12-20 16:43 - Karsten Dambekalns
- Target version changed from 1.1 beta 1 to 1.1

#8 - 2012-04-21 16:02 - Florian Carstens

Wouldn't it be better if there were the possibility to check that the section's content is not empty?

<f:if condition="{section.sidebar}">
  <f:then>
    <f:render section="sidebar" />
  </f:then>
  <f:else>
    <p>I'm sorry, nothing here!</p>
  </f:else>

#9 - 2012-05-21 16:18 - Karsten Dambekalns
- Target version deleted (1.1)

Files
optionalSection.patch 788 Bytes 2010-01-08 Nathan L
